Skip to:
Content
Pages
Categories
Search
Top
Bottom

WordPress 3.0 compatibility?

  • I see that one of the items on the roadmap for BuddyPress 1.3 is WordPress 3.0 compatibility. But looking in trac BuddyPress 1.3 is 17% complete while WordPress 3.0 is 99% complete. Clearly WordPress 3.0 is going to be out before BuddyPress 1.3. Is it safe to assume than BuddyPress 1.2.x will be compatible with WordPress 3.0?

Viewing 9 replies - 1 through 9 (of 9 total)
  • Avatar of Hugo
    Hugo
    Moderator

    @hnla

    NO I would have thought that it isn’t ever safe to assume anything!

    I have WP 3.0 beta 2 installed to test, haven’t yet run BP 1.2.4 on it yet to see what’s what but don’t really expect it to fully function, BP 1.3 is the version that has to be waited on for production sites and then I would wait a while for any teething issue to be sorted out – look at the recent 1.2.4 issues that had to be resolved with a point release some 12 hours after release.

    Well… I’m running WP3.0 beta and BP1.2.4 on a test site and have seen no issues whatsoever. But the official mention of “WordPress 3.0 compatibility” in the roadmap for BuddyPress 1.3 gives me pause. Given the pace of development of the two systems… there could be a very long time gap between WP3.0 and BP1.3. I’m guessing that BP1.3 is still many months away… while WordPress 3.0 could go release candidate any day now.

    Avatar of Hugo
    Hugo
    Moderator

    @hnla

    Not sure that 1.3 is that far off is it? not sure really, but I would hesitate running WP 3.0 and BP 1.2.4 on a production server.

    It would be interesting to know what adjustments need to be made to enable BP to work with WP 3.0

    Avatar of Xevo
    Xevo
    Participant

    @xevo

    Have bbPress 1.0.2, BuddyPress 1.2.4 and WordPress 3.0 beta running fine. Haven’t seen any problem yet.

    Almost gonna do beta, so I’ll find out what problems will show up. :)

    Well the tickets for 1.3 are only 17% done and according to trac 1.2.5 is still a month away. So I’m just basing it on that. I’m not complaining either. Just saying… it looks like WP3 and BP1.3 are not going to “sync up” at all as far as release dates go.

    i believe 1.2.4.1 is wp3-ready and bp1.3 will come out after to take advantage of wp3 only features. (have to brush up on last week’s dev notes)

    Avatar of Hugo
    Hugo
    Moderator

    @hnla

    It’s a case of too much work for far too small a team! that will need to be addressed as BP grows exponentially

    Avatar of Hugo
    Hugo
    Moderator

    @hnla

    Ah so 1.2.4 was conceived as WP 3.0 ready, be good to know could possibly do with a little more detail in the roadmaps, or maybe there is and I just haven’t paid enough attention.

    Avatar of Hugo
    Hugo
    Moderator

    @hnla

    You see roadmap says:

    1.3

    * WordPress 3.0 support

    No mention that 1.2.4 can run on WP 3.0

Viewing 9 replies - 1 through 9 (of 9 total)

You must be logged in to reply to this topic.